summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-frameworks/networkmanager-qt/networkmanager-qt-5.71.0.ebuild')
-rw-r--r--kde-frameworks/networkmanager-qt/networkmanager-qt-5.71.0.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/kde-frameworks/networkmanager-qt/networkmanager-qt-5.71.0.ebuild b/kde-frameworks/networkmanager-qt/networkmanager-qt-5.71.0.ebuild
new file mode 100644
index 000000000000..fb4384d13847
--- /dev/null
+++ b/kde-frameworks/networkmanager-qt/networkmanager-qt-5.71.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+QTMIN=5.14.1
+inherit ecm kde.org
+
+DESCRIPTION="NetworkManager bindings for Qt"
+LICENSE="LGPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="teamd"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5
+ >=net-misc/networkmanager-1.4.0-r1[teamd=]
+"
+RDEPEND="${DEPEND}
+ || (
+ >=net-misc/networkmanager-1.4.0-r1[consolekit]
+ >=net-misc/networkmanager-1.4.0-r1[elogind]
+ >=net-misc/networkmanager-1.4.0-r1[systemd]
+ )
+"
+
+src_test() {
+ # bug: 625276
+ local myctestargs=( -E "(managertest|settingstest|activeconnectiontest)" )
+
+ ecm_src_test
+}